 <?php
       ini_set("display_errors", "off");
       //Código para incluir las librerias
	   include_once("conexion.php");
	   

	   //Conexión con el servidor
	   $link=ConectarseServidor();

	   //Conexión con la base de datos
	    ConectarseBaseDatos($link);

	  	
		//obtiene la informacion de las variables inmersas en el calculo del indice de masa corporal
		$Capital     		= $_POST["Capital"];
		$Interes 			= $_POST["Interes"];
		$num_cuota 			= $_POST["Meses"];
		$txtDeudor			= $_POST["txtDeudor"];
		$txtCoDeudor     	= $_POST["txtCoDeudor"];
		$txtCobrador	    = $_POST["txtCobrador"];
		$txtForma 			= $_POST["txtForma"];
		$idUsuario 			= $_SESSION['usuario']; //usuario del sistema
		
		//AMORTIZACION DEL CREDITO		
		$intRate = ($Interes/100);
	   	$cuota = round(floor(($Capital*$intRate)/(1-pow(1+$intRate,(-1*$num_cuota)))*100)/100); //calculamos la cuota del credito
	    
		//guardamos los detalles del credito
		$query = "INSERT INTO credito (deudor,codeudor,capital,num_cuota,tasa_interes,forma_pago,cobrador,valor_cuota,saldo_capital,cuota_pendiente, usuario_grabador,fecha) 				  VALUES ($txtDeudor,$txtCoDeudor,$Capital,$num_cuota,$Interes,$txtForma,$txtCobrador,$cuota,$Capital,$num_cuota,'$idUsuario',CURRENT_TIMESTAMP)";
		
        /*Ejecución de la inserción*/
	     $respuesta=consultas($query);
		 
		 $num_credito = ultimo_credito(); //consultamos el nro del credito
		 $dias = Busca_forma_pago($txtForma); //buscamos los dias que tiene la forma de pago, para hacer el calculo de las fechas de pago
		 
		 while ($row = mysql_fetch_array($dias)){
			 $num_dias = $row['num_dias']; //numero de dias de la opcion seleccionada
		 }
		 
		 
		  $fecha = date('Y-m-j'); //fecha actual para hacer el calculo de las fechas de pago
		  $num_dias = '+'.$num_dias.' day'; //numero de dias para sumar a la fecha
		
	   	  $capitalpendiente=$Capital;
    	  $m=0;		
		
		for ($i=1;$i<=$num_cuota;$i++) {
			$m++;
			
			$intereses=round(($capitalpendiente * $intRate*100)/100);
			$amortizacion=round((($cuota-$intereses)*100)/100);
			$capitalpendiente=round((($capitalpendiente-$amortizacion)*100)/100);
			
			if ($i==$num_cuota) { //ultima cuota redondeo
				$cuota=round((($cuota + $capitalpendiente)*100)/100);
				$amortizacion = $cuota - $intereses;
				$capitalpendiente = 0;
			}
			
			
			$nuevafecha = strtotime ( $num_dias , strtotime ( $fecha ) ) ; //sumamos los dias correspondientes a la forma de pago a la fecha actual
		  	$nuevafecha = date ( 'Y-m-j' , $nuevafecha );
		  	$fecha = $nuevafecha;
			
			//guardamos los detalles del credito
			$query = "INSERT INTO amortizacion (num_credito,num_cuota,valor_cuota,interes,amortizacion_capital,capital,vencimiento) VALUES ($num_credito,$m,$cuota,$intereses, $amortizacion, $capitalpendiente,'$nuevafecha')";
			
			/*Ejecución de la inserción*/
			$respuesta=consultas($query);
        }//for
		
		 
		 /*bitacora*/
		 $concepto 	= "Registro de Credito";		 
		 $bitacora 	= bitacora($idUsuario,$concepto);

    	 /*Función para desconectarse de la base de datos*/
	     desconectarse($link);//cierra la conexion
 	
?>